using TopCoder.Unix.MagicNumbers;

namespace TopCoder.File.Statistics.Matcher
{
    /// <summary>
    /// Mock implementation of <see cref="FileTypeMatcher"/>, used to test <see cref="MockFileTypeMatcher"/>.
    ///
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    internal class MockFileTypeMatcher : FileTypeMatcher
    {
        /// <summary>
        /// Defualt constructor.
        /// </summary>
        public MockFileTypeMatcher() : base()
        {
        }

        /// <summary>
        /// Mock implementation of Match, always return true.
        /// </summary>
        ///
        /// <param name="type">the type to match.</param>
        /// <returns>true</returns>
        protected override bool Match(FileType type)
        {
            return true;
        }
    }
}