<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:res="http://www.w3.org/2005/sparql-results#">

<xsl:template match="report">
<HTML>
<HEAD>
<link rel="stylesheet" type="text/css" href="css/reporting.css"/>
</HEAD>
<BODY>

<TABLE BORDER="0" class="report">
<TR class="title">
<TH colspan="2" align = "center">File statics</TH>
</TR>

<TR class="report">
<TD>File Name</TD>
<TD>line</TD>
</TR>

<xsl:apply-templates select="files/file"/>
</TABLE>

<TABLE BORDER="0" class="report">
<TR class="title">
<TH colspan="2" align = "center">Directory statics</TH>
</TR>

<TR class="report">
<TD>Directory Name</TD>
<TD>line</TD>
</TR>

<xsl:apply-templates select="directories/directory"/>
</TABLE>

<TABLE BORDER="0">
<TR class="title">
<TH colspan="2" align = "center">aliases statics</TH>
</TR>

<TR class="report">
<TD>aliases Name</TD>
<TD>line</TD>
</TR>

<xsl:apply-templates select="aliases/alias"/>
</TABLE>

<TABLE BORDER="0" class="report">
<TR class="title">
<TH colspan="2" align = "center">overall statics</TH>
</TR>

<TR class="report">
<TD>line</TD>
</TR>

<xsl:apply-templates select="overall"/>
</TABLE>

</BODY>
</HTML>
</xsl:template>

<xsl:template match="files/file">
<TR class="report">
<TD><xsl:value-of select="@name"/></TD>
<TD><xsl:value-of select="line"/></TD>
</TR>
</xsl:template>

<xsl:template match="directories/directory">
<TR class="report">
<TD><xsl:value-of select="@name"/></TD>
<TD><xsl:value-of select="line"/></TD>
</TR>
</xsl:template>

<xsl:template match="aliases/alias">
<TR class="report">
<TD><xsl:value-of select="@name"/></TD>
<TD><xsl:value-of select="line"/></TD>
</TR>
</xsl:template>

<xsl:template match="overall">
<TR class="report">
<TD><xsl:value-of select="line"/></TD>
</TR>
</xsl:template>

</xsl:stylesheet>